# WOKUtils_Signal.hxx File Reference

`#include <WOKUtils_SigHandler.hxx>`
`#include <WOKUnix_Signal.hxx>`

## Defines

#define | WOKUtils_SIGPIPE WOKUnix_SIGPIPE
#define | WOKUtils_SIGHUP WOKUnix_SIGHUP
#define | WOKUtils_SIGINT WOKUnix_SIGINT
#define | WOKUtils_SIGQUIT WOKUnix_SIGQUIT
#define | WOKUtils_SIGILL WOKUnix_SIGILL
#define | WOKUtils_SIGKILL WOKUnix_SIGKILL
#define | WOKUtils_SIGBUS WOKUnix_SIGBUS
#define | WOKUtils_SIGSEGV WOKUnix_SIGSEGV
#define | WOKUtils_SIGCHILD WOKUnix_SIGCHILD

## Typedefs

typedef WOKUnix_Signal | WOKUtils_Signal

## Define Documentation

#define WOKUtils_SIGBUS WOKUnix_SIGBUS

#define WOKUtils_SIGCHILD WOKUnix_SIGCHILD

#define WOKUtils_SIGHUP WOKUnix_SIGHUP

#define WOKUtils_SIGILL WOKUnix_SIGILL

#define WOKUtils_SIGINT WOKUnix_SIGINT

#define WOKUtils_SIGKILL WOKUnix_SIGKILL

#define WOKUtils_SIGPIPE WOKUnix_SIGPIPE

#define WOKUtils_SIGQUIT WOKUnix_SIGQUIT

#define WOKUtils_SIGSEGV WOKUnix_SIGSEGV

## Typedef Documentation

typedef WOKUnix_Signal WOKUtils_Signal